> For the complete documentation index, see [llms.txt](https://docs.dapplooker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dapplooker.com/data-apis-for-ai/smart-money-trends.md).

# Smart Money Trends

### **Endpoint**

<mark style="color:yellow;">**GET**</mark> <mark style="color:orange;">`https://api.dapplooker.com/v1/smart-money-trends`</mark>

> #### 💡 Pro **Tips**&#x20;
>
> * Use this endpoint to see **where smart money is flowing** — compare inflows vs. outflows to detect accumulation trends.
> * **Multi-timeframe data (24h/7d/30d)** makes it easy to catch early rotations or confirm sustained buying/selling pressure.
> * Great for **alpha hunting** — track which tokens are attracting whales and sophisticated traders before retail catches up.
> * This endpoint is **x402 payment–enabled**, opening access for all users — simply **pay and use** without needing an API key.

### **Authentication**

This endpoint supports **two authentication methods**:

<table data-header-hidden><thead><tr><th width="254.30078125"></th><th></th></tr></thead><tbody><tr><td><strong>Method</strong></td><td><strong>Description</strong></td></tr><tr><td><strong>API Key</strong></td><td>Provide your Loky API key using the <mark style="color:orange;"><code>api_key</code></mark> parameter for authenticated access.</td></tr><tr><td><strong>x402 Payment Protocol</strong></td><td>If <mark style="color:orange;"><code>api_key</code></mark> is not provided, the request automatically uses the <a href="https://x402.gitbook.io/x402">x402 protocol</a> for on-chain payment verification.</td></tr></tbody></table>

For seamless integration, user can follow the [**x402 Quickstart Guide for Buyers**](https://x402.gitbook.io/x402/getting-started/quickstart-for-buyers).

### **Query Parameters**

<table data-header-hidden><thead><tr><th width="179.36328125"></th><th width="108.828125"></th><th width="153.64453125"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Type</strong></td><td><strong>Mandatory</strong></td><td><strong>Description</strong></td></tr><tr><td><mark style="color:orange;"><code>api_key</code></mark></td><td>string</td><td>No</td><td>Your unique API key used for authentication</td></tr><tr><td><mark style="color:orange;"><code>token_tickers</code></mark></td><td>string</td><td>No</td><td>Comma-separated token tickers (upto 30)</td></tr><tr><td><mark style="color:orange;"><code>token_addresses</code></mark></td><td>string</td><td>No</td><td>Comma-separated token addresses (upto 30)</td></tr></tbody></table>

### **Sample Request**

{% code overflow="wrap" %}

```bash
# With Token Tickers
curl --location 'https://api.dapplooker.com/v1/smart-money-trends?api_key=<API_KEY>&token_tickers=VIRTUAL'

# With Token Addresses
curl --location 'https://api.dapplooker.com/v1/smart-money-trends?api_key=<API_KEY>&token_addresses=0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b'
```

{% endcode %}

### **Sample Response**

```json
{
  "success": true,
  "data": [
    {
      "symbol": "VIRTUAL",
      "token_address": "0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b",
      "net_inflow": {
        "usd_value_24h": 39919.6,
        "token_24h": 31682.2,
        "usd_value_7d": 317994.8,
        "token_7d": 252376.8,
        "usd_value_30d": 1279723,
        "token_30d": 1015653.2
      },
      "net_outflow": {
        "usd_value_24h": 32335.8,
        "token_24h": 25663.3,
        "usd_value_7d": 292363.2,
        "token_7d": 232034.3,
        "usd_value_30d": 1084320.6,
        "token_30d": 860571.9
      }
    }
  ]
}
```

### **Response Fields Explanation**

#### **Token Info**

* <mark style="color:orange;">`symbol`</mark> *(string)* — Token name
* <mark style="color:orange;">`token_address`</mark> *(string)* — Contract address of the token

#### **Net Inflow / Net Outflow**

Each object shows token movements from the **Top 50 Smart Users** over multiple timeframes:

* <mark style="color:orange;">`usd_value_24h`</mark> *(decimal)* — USD value in the last 24h
* <mark style="color:orange;">`token_24h`</mark> *(decimal)* — Token amount in the last 24h
* <mark style="color:orange;">`usd_value_7d`</mark> *(decimal)* — USD value in the last 7d
* <mark style="color:orange;">`token_7d`</mark> *(decimal)* — Token amount in the last 7d
* <mark style="color:orange;">`usd_value_30d`</mark> *(decimal)* — USD value in the last 30d
* <mark style="color:orange;">`token_30d`</mark> *(decimal)* — Token amount in the last 30d


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dapplooker.com/data-apis-for-ai/smart-money-trends.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
